Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 262)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 263)
@@ -1218,14 +1222,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_xy(av), 'time', id_var_time_xy(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 134 )
+          CALL handle_netcdf_error( 'netcdf', 134 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_xy(av), id_var_time_xy(av), &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 135 )
+          CALL handle_netcdf_error( 'netcdf', 135 )
           id_dim_time_xy(av) = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_xy(av), id_dim_time_xy(av), &
                                             len = do2d_xy_time_count(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 136 )
+          CALL handle_netcdf_error( 'netcdf', 136 )
 
           nc_stat = NF90_GET_VAR( id_set_xy(av), id_var_time_xy(av),    &
@@ -1233,5 +1237,5 @@
                                   start = (/ do2d_xy_time_count(av) /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 137 )
+          CALL handle_netcdf_error( 'netcdf', 137 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -1259,5 +1263,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_xy(av), netcdf_var_name, &
                                           id_var_do2d(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 138 )
+                CALL handle_netcdf_error( 'netcdf', 138 )
              ENDIF
              i = i + 1
@@ -1268,5 +1272,5 @@
           nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 139 )
+          CALL handle_netcdf_error( 'netcdf', 139 )
           message_string = 'NetCDF file for cross-sections ' //           & 
                             TRIM( var ) // ' from previous run found.' // &
@@ -1281,5 +1285,5 @@
           nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'Conventions', &
                                   'COARDS' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 140 )
+          CALL handle_netcdf_error( 'netcdf', 140 )
 
           IF ( av == 0 )  THEN
@@ -1292,10 +1296,10 @@
                                   TRIM( run_description_header )  //   &
                                   TRIM( time_average_text ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 141 )
+          CALL handle_netcdf_error( 'netcdf', 141 )
           IF ( av == 1 )  THEN
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
              nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'time_avg', &
                                      TRIM( time_average_text ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 141 )
+             CALL handle_netcdf_error( 'netcdf', 141 )
           ENDIF
 
@@ -1304,13 +1308,13 @@
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'time', NF90_UNLIMITED, &
                                   id_dim_time_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 142 )
+          CALL handle_netcdf_error( 'netcdf', 142 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'time', NF90_DOUBLE, &
                                   id_dim_time_xz(av), id_var_time_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 143 )
+          CALL handle_netcdf_error( 'netcdf', 143 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_time_xz(av), 'units', &
                                   'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 144 )
+          CALL handle_netcdf_error( 'netcdf', 144 )
 
 !
@@ -1330,26 +1334,26 @@
 !--       Define y-axis (for scalar position)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'y_xz', ns, id_dim_y_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 145 )
+          CALL handle_netcdf_error( 'netcdf', 145 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'y_xz', NF90_DOUBLE, &
                                   id_dim_y_xz(av), id_var_y_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 146 )
+          CALL handle_netcdf_error( 'netcdf', 146 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_y_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 147 )
+          CALL handle_netcdf_error( 'netcdf', 147 )
 
 !
 !--       Define y-axis (for v position)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'yv_xz', ns, id_dim_yv_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 369 )
+          CALL handle_netcdf_error( 'netcdf', 369 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'yv_xz', NF90_DOUBLE, &
                                   id_dim_yv_xz(av), id_var_yv_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 370 )
+          CALL handle_netcdf_error( 'netcdf', 370 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_yv_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 371 )
+          CALL handle_netcdf_error( 'netcdf', 371 )
 
 !
@@ -1358,59 +1362,59 @@
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'ind_y_xz', NF90_DOUBLE, &
                                   id_dim_y_xz(av), id_var_ind_y_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 148 )
+          CALL handle_netcdf_error( 'netcdf', 148 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_ind_y_xz(av), 'units', &
                                   'gridpoints')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 149 )
+          CALL handle_netcdf_error( 'netcdf', 149 )
 
 !
 !--       Define x-axis (for scalar position)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'x', nx+2, id_dim_x_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 150 )
+          CALL handle_netcdf_error( 'netcdf', 150 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'x', NF90_DOUBLE, &
                                   id_dim_x_xz(av), id_var_x_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 151 )
+          CALL handle_netcdf_error( 'netcdf', 151 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_x_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 152 )
+          CALL handle_netcdf_error( 'netcdf', 152 )
 
 !
 !--       Define x-axis (for u position)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'xu', nx+2, id_dim_xu_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 372 )
+          CALL handle_netcdf_error( 'netcdf', 372 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'xu', NF90_DOUBLE, &
                                   id_dim_xu_xz(av), id_var_xu_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 373 )
+          CALL handle_netcdf_error( 'netcdf', 373 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_xu_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 374 )
+          CALL handle_netcdf_error( 'netcdf', 374 )
 
 !
 !--       Define the two z-axes (zu and zw)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'zu', nz+2, id_dim_zu_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 153 )
+          CALL handle_netcdf_error( 'netcdf', 153 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'zu', NF90_DOUBLE, &
                                   id_dim_zu_xz(av), id_var_zu_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 154 )
+          CALL handle_netcdf_error( 'netcdf', 154 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_zu_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 155 )
+          CALL handle_netcdf_error( 'netcdf', 155 )
 
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'zw', nz+2, id_dim_zw_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 156 )
+          CALL handle_netcdf_error( 'netcdf', 156 )
 
           nc_stat = NF90_DEF_VAR( id_set_xz(av), 'zw', NF90_DOUBLE, &
                                   id_dim_zw_xz(av), id_var_zw_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 157 )
+          CALL handle_netcdf_error( 'netcdf', 157 )
 
           nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_zw_xz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 158 )
+          CALL handle_netcdf_error( 'netcdf', 158 )
 
 
@@ -1502,5 +1506,5 @@
                 var_list = TRIM( var_list ) // TRIM( do2d(av,i) ) // ';'
 
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 159 )
+                CALL handle_netcdf_error( 'netcdf', 159 )
 !
 !--             Store the 'real' name of the variable (with *, for example)
@@ -1509,10 +1513,10 @@
                 nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_do2d(av,i), &
                                         'long_name', do2d(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 160 )
+                CALL handle_netcdf_error( 'netcdf', 160 )
 !
 !--             Define the variable's unit
                 nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_do2d(av,i), &
                                         'units', TRIM( do2d_unit(av,i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 355 )
+                CALL handle_netcdf_error( 'netcdf', 355 )
              ENDIF
 
@@ -1530,10 +1534,10 @@
           nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', &
                                   var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 161 )
+          CALL handle_netcdf_error( 'netcdf', 161 )
 
 !
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 162 )
+          CALL handle_netcdf_error( 'netcdf', 162 )
 
 !
@@ -1552,5 +1556,5 @@
           nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_y_xz(av), netcdf_data, &
                                   start = (/ 1 /), count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 163 )
+          CALL handle_netcdf_error( 'netcdf', 163 )
 
 !
@@ -1566,5 +1570,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 375 )
+          CALL handle_netcdf_error( 'netcdf', 375 )
 
 !
@@ -1574,5 +1578,6 @@
                                   netcdf_data, start = (/ 1 /),       &
                                   count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 164 )
+          CALL handle_netcdf_error( 'netcdf', 164 )
+
 
           DEALLOCATE( netcdf_data )
@@ -1588,5 +1593,5 @@
           nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_x_xz(av), netcdf_data, &
                                   start = (/ 1 /), count = (/ nx+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 165 )
+          CALL handle_netcdf_error( 'netcdf', 165 )
 
           DO  i = 0, nx+1
@@ -1597,5 +1602,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ nx+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 376 )
+          CALL handle_netcdf_error( 'netcdf', 377 )
 
           DEALLOCATE( netcdf_data )
@@ -1609,5 +1614,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ nz+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 166 )
+          CALL handle_netcdf_error( 'netcdf', 166 )
 
           netcdf_data(0:nz+1) = zw(nzb:nzt+1)
@@ -1615,5 +1620,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ nz+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 167 )
+          CALL handle_netcdf_error( 'netcdf', 167 )
 
           DEALLOCATE( netcdf_data )
@@ -1629,5 +1634,5 @@
           nc_stat = NF90_GET_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 168 )
+          CALL handle_netcdf_error( 'netcdf', 168 )
 
           var_list = ';'
@@ -1670,14 +1675,14 @@
 !--       Get and compare the number of vertical cross sections
           nc_stat = NF90_INQ_VARID( id_set_xz(av), 'y_xz', id_var_y_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 169 )
+          CALL handle_netcdf_error( 'netcdf', 169 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_y_xz(av), &
                                            dimids = id_dim_y_xz_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 170 )
+          CALL handle_netcdf_error( 'netcdf', 170 )
           id_dim_y_xz(av) = id_dim_y_xz_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_y_xz(av), &
                                             len = ns_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 171 )
+          CALL handle_netcdf_error( 'netcdf', 171 )
 
           IF ( ns /= ns_old )  THEN
@@ -1698,5 +1703,5 @@
 
           nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_y_xz(av), netcdf_data )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 172 )
+          CALL handle_netcdf_error( 'netcdf', 172 )
 
           DO  i = 1, ns
@@ -1736,14 +1741,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_xz(av), 'time', id_var_time_xz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 173 )
+          CALL handle_netcdf_error( 'netcdf', 173 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_time_xz(av), &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 174 )
+          CALL handle_netcdf_error( 'netcdf', 174 )
           id_dim_time_xz(av) = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_time_xz(av), &
                                             len = do2d_xz_time_count(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 175 )
+          CALL handle_netcdf_error( 'netcdf', 175 )
 
           nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_time_xz(av),    &
@@ -1751,5 +1756,5 @@
                                   start = (/ do2d_xz_time_count(av) /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 176 )
+          CALL handle_netcdf_error( 'netcdf', 176 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -1777,5 +1782,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_xz(av), netcdf_var_name, &
                                           id_var_do2d(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 177 )
+                CALL handle_netcdf_error( 'netcdf', 177 )
              ENDIF
              i = i + 1
@@ -1786,5 +1791,5 @@
           nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 178 )
+          CALL handle_netcdf_error( 'netcdf', 178 )
           message_string = 'NetCDF file for cross-sections ' //           & 
                             TRIM( var ) // ' from previous run found.' // &
@@ -1799,5 +1804,5 @@
           nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'Conventions', &
                                   'COARDS' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 179 )
+          CALL handle_netcdf_error( 'netcdf', 179 )
 
           IF ( av == 0 )  THEN
@@ -1810,10 +1815,10 @@
                                   TRIM( run_description_header ) //    &
                                   TRIM( time_average_text ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 180 )
+          CALL handle_netcdf_error( 'netcdf', 180 )
           IF ( av == 1 )  THEN
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
              nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'time_avg', &
                                      TRIM( time_average_text ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 180 )
+             CALL handle_netcdf_error( 'netcdf', 180 )
           ENDIF
 
@@ -1822,13 +1827,13 @@
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'time', NF90_UNLIMITED, &
                                   id_dim_time_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 181 )
+          CALL handle_netcdf_error( 'netcdf', 181 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'time', NF90_DOUBLE, &
                                   id_dim_time_yz(av), id_var_time_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 182 )
+          CALL handle_netcdf_error( 'netcdf', 182 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_time_yz(av), 'units', &
                                   'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 183 )
+          CALL handle_netcdf_error( 'netcdf', 183 )
 
 !
@@ -1848,26 +1853,26 @@
 !--       Define x axis (for scalar position)
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'x_yz', ns, id_dim_x_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 184 )
+          CALL handle_netcdf_error( 'netcdf', 184 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'x_yz', NF90_DOUBLE, &
                                   id_dim_x_yz(av), id_var_x_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 185 )
+          CALL handle_netcdf_error( 'netcdf', 185 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_x_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 186 )
+          CALL handle_netcdf_error( 'netcdf', 186 )
 
 !
 !--       Define x axis (for u position)
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'xu_yz', ns, id_dim_xu_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 377 )
+          CALL handle_netcdf_error( 'netcdf', 377 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'xu_yz', NF90_DOUBLE, &
                                   id_dim_xu_yz(av), id_var_xu_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 378 )
+          CALL handle_netcdf_error( 'netcdf', 378 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_xu_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 379 )
+          CALL handle_netcdf_error( 'netcdf', 379 )
 
 !
@@ -1876,59 +1881,59 @@
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'ind_x_yz', NF90_DOUBLE, &
                                   id_dim_x_yz(av), id_var_ind_x_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 187 )
+          CALL handle_netcdf_error( 'netcdf', 187 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_ind_x_yz(av), 'units', &
                                   'gridpoints')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 188 )
+          CALL handle_netcdf_error( 'netcdf', 188 )
 
 !
 !--       Define y-axis (for scalar position)
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'y', ny+2, id_dim_y_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 189 )
+          CALL handle_netcdf_error( 'netcdf', 189 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'y', NF90_DOUBLE, &
                                   id_dim_y_yz(av), id_var_y_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 190 )
+          CALL handle_netcdf_error( 'netcdf', 190 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_y_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 191 )
+          CALL handle_netcdf_error( 'netcdf', 191 )
 
 !
 !--       Define y-axis (for v position)
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'yv', ny+2, id_dim_yv_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 380 )
+          CALL handle_netcdf_error( 'netcdf', 380 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'yv', NF90_DOUBLE, &
                                   id_dim_yv_yz(av), id_var_yv_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 381 )
+          CALL handle_netcdf_error( 'netcdf', 381 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_yv_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 382 )
+          CALL handle_netcdf_error( 'netcdf', 382 )
 
 !
 !--       Define the two z-axes (zu and zw)
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'zu', nz+2, id_dim_zu_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 192 )
+          CALL handle_netcdf_error( 'netcdf', 192 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'zu', NF90_DOUBLE, &
                                   id_dim_zu_yz(av), id_var_zu_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 193 )
+          CALL handle_netcdf_error( 'netcdf', 193 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_zu_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 194 )
+          CALL handle_netcdf_error( 'netcdf', 194 )
 
           nc_stat = NF90_DEF_DIM( id_set_yz(av), 'zw', nz+2, id_dim_zw_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 195 )
+          CALL handle_netcdf_error( 'netcdf', 195 )
 
           nc_stat = NF90_DEF_VAR( id_set_yz(av), 'zw', NF90_DOUBLE, &
                                   id_dim_zw_yz(av), id_var_zw_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 196 )
+          CALL handle_netcdf_error( 'netcdf', 196 )
 
           nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_zw_yz(av), 'units', &
                                   'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 197 )
+          CALL handle_netcdf_error( 'netcdf', 197 )
 
 
@@ -2020,5 +2025,5 @@
                 var_list = TRIM( var_list ) // TRIM( do2d(av,i) ) // ';'
 
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 198 )
+                CALL handle_netcdf_error( 'netcdf', 198 )
 !
 !--             Store the 'real' name of the variable (with *, for example)
@@ -2027,10 +2032,10 @@
                 nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_do2d(av,i), &
                                         'long_name', do2d(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 199 )
+                CALL handle_netcdf_error( 'netcdf', 199 )
 !
 !--             Define the variable's unit
                 nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_do2d(av,i), &
                                         'units', TRIM( do2d_unit(av,i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 356 )
+                CALL handle_netcdf_error( 'netcdf', 356 )
              ENDIF
 
@@ -2048,10 +2053,10 @@
           nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', &
                                   var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 200 )
+          CALL handle_netcdf_error( 'netcdf', 200 )
 
 !
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 201 )
+          CALL handle_netcdf_error( 'netcdf', 201 )
 
 !
@@ -2070,5 +2075,5 @@
           nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_x_yz(av), netcdf_data, &
                                   start = (/ 1 /), count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 202 )
+          CALL handle_netcdf_error( 'netcdf', 202 ) 
 
 !
@@ -2083,5 +2088,5 @@
           nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_xu_yz(av), netcdf_data, &
                                   start = (/ 1 /), count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 383 )
+          CALL handle_netcdf_error( 'netcdf', 383 ) 
 
 !
@@ -2091,5 +2096,5 @@
                                   netcdf_data, start = (/ 1 /),       &
                                   count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 203 )
+          CALL handle_netcdf_error( 'netcdf', 203 ) 
 
           DEALLOCATE( netcdf_data )
@@ -2105,5 +2110,5 @@
           nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_y_yz(av), netcdf_data, &
                                   start = (/ 1 /), count = (/ ny+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 204 )
+           CALL handle_netcdf_error( 'netcdf', 204 ) 
 
           DO  j = 0, ny+1
@@ -2114,5 +2119,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ ny+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 384 )
+          CALL handle_netcdf_error( 'netcdf', 384 ) 
 
           DEALLOCATE( netcdf_data )
@@ -2126,5 +2131,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ nz+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 205 )
+          CALL handle_netcdf_error( 'netcdf', 205 ) 
 
           netcdf_data(0:nz+1) = zw(nzb:nzt+1)
@@ -2132,5 +2137,5 @@
                                   netcdf_data, start = (/ 1 /),    &
                                   count = (/ nz+2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 206 )
+          CALL handle_netcdf_error( 'netcdf', 206 ) 
 
           DEALLOCATE( netcdf_data )
@@ -2146,5 +2151,5 @@
           nc_stat = NF90_GET_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 207 )
+          CALL handle_netcdf_error( 'netcdf', 207 )
 
           var_list = ';'
@@ -2187,14 +2192,14 @@
 !--       Get and compare the number of vertical cross sections
           nc_stat = NF90_INQ_VARID( id_set_yz(av), 'x_yz', id_var_x_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 208 )
+          CALL handle_netcdf_error( 'netcdf', 208 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_yz(av), id_var_x_yz(av), &
                                            dimids = id_dim_x_yz_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 209 )
+          CALL handle_netcdf_error( 'netcdf', 209 )
           id_dim_x_yz(av) = id_dim_x_yz_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_x_yz(av), &
                                             len = ns_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 210 )
+          CALL handle_netcdf_error( 'netcdf', 210 )
 
           IF ( ns /= ns_old )  THEN
@@ -2215,5 +2220,5 @@
 
           nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_x_yz(av), netcdf_data )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 211 )
+          CALL handle_netcdf_error( 'netcdf', 211 )
 
           DO  i = 1, ns
@@ -2253,14 +2258,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_yz(av), 'time', id_var_time_yz(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 212 )
+          CALL handle_netcdf_error( 'netcdf', 212 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_yz(av), id_var_time_yz(av), &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 213 )
+          CALL handle_netcdf_error( 'netcdf', 213 )
           id_dim_time_yz(av) = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_time_yz(av), &
                                             len = do2d_yz_time_count(av) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 214 )
+          CALL handle_netcdf_error( 'netcdf', 214 )
 
           nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_time_yz(av),    &
@@ -2268,5 +2273,5 @@
                                   start = (/ do2d_yz_time_count(av) /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 215 )
+          CALL handle_netcdf_error( 'netcdf', 215 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -2294,5 +2299,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_yz(av), netcdf_var_name, &
                                           id_var_do2d(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 216 )
+                CALL handle_netcdf_error( 'netcdf', 216 )
              ENDIF
              i = i + 1
@@ -2303,5 +2308,5 @@
           nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 217 )
+          CALL handle_netcdf_error( 'netcdf', 217 )
           message_string = 'NetCDF file for cross-sections ' //           & 
                             TRIM( var ) // ' from previous run found.' // &
@@ -2320,5 +2325,5 @@
                                      TRIM( run_description_header ) //  &
                                      TRIM( time_average_text ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 218 )
+             CALL handle_netcdf_error( 'netcdf', 218 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' ) averaging_interval_pr
@@ -2329,5 +2334,5 @@
                                      TRIM( run_description_header ) )
           ENDIF
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 219 )
+          CALL handle_netcdf_error( 'netcdf', 219 )
 
 !
